Index: squid/auth_modules/MSNT/smblib.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/smblib.c,v
retrieving revision 1.1.1.1.10.2.2.1
retrieving revision 1.1.1.1.10.2.2.2
diff -u -r1.1.1.1.10.2.2.1 -r1.1.1.1.10.2.2.2
--- squid/auth_modules/MSNT/smblib.c	7 Jan 2001 07:44:23 -0000	1.1.1.1.10.2.2.1
+++ squid/auth_modules/MSNT/smblib.c	7 Jan 2001 09:48:27 -0000	1.1.1.1.10.2.2.2
@@ -1,27 +1,27 @@
 /* UNIX SMBlib NetBIOS implementation
-
-   Version 1.0
-   SMBlib Routines
-
-   Copyright (C) Richard Sharpe 1996
-
-*/
+ * 
+ * Version 1.0
+ * SMBlib Routines
+ * 
+ * Copyright (C) Richard Sharpe 1996
+ * 
+ */
 
 /*
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 int SMBlib_errno;
 int SMBlib_SMB_Error;
@@ -47,155 +47,152 @@
 
 /* Initialize the SMBlib package     */
 
-int SMB_Init()
-
+int 
+SMB_Init()
 {
 
-  SMBlib_State = SMB_State_Started;
+    SMBlib_State = SMB_State_Started;
 
-  signal(SIGPIPE, SIG_IGN);   /* Ignore these ... */
+    signal(SIGPIPE, SIG_IGN);	/* Ignore these ... */
 
 /* If SMBLIB_Instrument is defines, turn on the instrumentation stuff */
 #ifdef SMBLIB_INSTRUMENT
 
-  SMBlib_Instrument_Init();
+    SMBlib_Instrument_Init();
 
 #endif
 
-  return 0;
+    return 0;
 
 }
 
-int SMB_Term()
-
+int 
+SMB_Term()
 {
 
 #ifdef SMBLIB_INSTRUMENT
 
-  SMBlib_Instrument_Term();       /* Clean up and print results */
+    SMBlib_Instrument_Term();	/* Clean up and print results */
 
 #endif
 
-  return 0;
+    return 0;
 
 }
 
 /* SMB_Create: Create a connection structure and return for later use */
 /* We have other helper routines to set variables                     */
 
-SMB_Handle_Type SMB_Create_Con_Handle(void)
-
+SMB_Handle_Type 
+SMB_Create_Con_Handle(void)
 {
 
-  SMBlib_errno = SMBlibE_NotImpl;
-  return(NULL);
+    SMBlib_errno = SMBlibE_NotImpl;
+    return (NULL);
 
 }
 
-int SMBlib_Set_Sock_NoDelay(SMB_Handle_Type Con_Handle, BOOL yn)
-
+int 
+SMBlib_Set_Sock_NoDelay(SMB_Handle_Type Con_Handle, BOOL yn)
 {
 
 
-  if (RFCNB_Set_Sock_NoDelay(Con_Handle -> Trans_Connect, yn) < 0) {
+    if (RFCNB_Set_Sock_NoDelay(Con_Handle->Trans_Connect, yn) < 0) {
 
 #ifdef DEBUG
 #endif
 
-    fprintf(stderr, "Setting no-delay on TCP socket failed ...\n");
-
-  }
+	fprintf(stderr, "Setting no-delay on TCP socket failed ...\n");
 
-  return(0);
+    }
+    return (0);
 
 }
 
 /* SMB_Connect_Server: Connect to a server, but don't negotiate protocol */
 /* or anything else ...                                                  */
 
-SMB_Handle_Type SMB_Connect_Server(SMB_Handle_Type Con_Handle,
-				   char *server, char *NTdomain)
-
-{ SMB_Handle_Type con;
-  char called[80], calling[80], *address;
-  int i;
+SMB_Handle_Type 
+SMB_Connect_Server(SMB_Handle_Type Con_Handle,
+    char *server, char *NTdomain)
+{
+    SMB_Handle_Type con;
+    char called[80], calling[80], *address;
+    int i;
 
-  /* Get a connection structure if one does not exist */
+    /* Get a connection structure if one does not exist */
 
-  con = Con_Handle;
+    con = Con_Handle;
 
-  if (Con_Handle == NULL) {
+    if (Con_Handle == NULL) {
 
-    if ((con = (struct SMB_Connect_Def *)malloc(sizeof(struct SMB_Connect_Def))) == NULL) {
+	if ((con = (struct SMB_Connect_Def *) malloc(sizeof(struct SMB_Connect_Def))) == NULL) {
 
 
-      SMBlib_errno = SMBlibE_NoSpace;
-      return NULL;
+	    SMBlib_errno = SMBlibE_NoSpace;
+	    return NULL;
+	}
     }
+    /* Init some things ... */
 
-  }
+    strcpy(con->service, "");
+    strcpy(con->username, "");
+    strcpy(con->password, "");
+    strcpy(con->sock_options, "");
+    strcpy(con->address, "");
+    strcpy(con->desthost, server);
+    strcpy(con->PDomain, NTdomain);
+    strcpy(con->OSName, SMBLIB_DEFAULT_OSNAME);
+    strcpy(con->LMType, SMBLIB_DEFAULT_LMTYPE);
+    con->first_tree = con->last_tree = NULL;
 
-  /* Init some things ... */
+    SMB_Get_My_Name(con->myname, sizeof(con->myname));
 
-  strcpy(con -> service, "");
-  strcpy(con -> username, "");
-  strcpy(con -> password, "");
-  strcpy(con -> sock_options, "");
-  strcpy(con -> address, "");
-  strcpy(con -> desthost, server);
-  strcpy(con -> PDomain, NTdomain);
-  strcpy(con -> OSName, SMBLIB_DEFAULT_OSNAME);
-  strcpy(con -> LMType, SMBLIB_DEFAULT_LMTYPE);
-  con -> first_tree = con -> last_tree = NULL; 
+    con->port = 0;		/* No port selected */
 
-  SMB_Get_My_Name(con -> myname, sizeof(con -> myname));
+    /* Get some things we need for the SMB Header */
 
-  con -> port = 0;                    /* No port selected */
+    con->pid = getpid();
+    con->mid = con->pid;	/* This will do for now ... */
+    con->uid = 0;		/* Until we have done a logon, no uid ... */
+    con->gid = getgid();
 
-  /* Get some things we need for the SMB Header */
+    /* Now connect to the remote end, but first upper case the name of the
+     * service we are going to call, sine some servers want it in uppercase */
 
-  con -> pid = getpid();
-  con -> mid = con -> pid;      /* This will do for now ... */
-  con -> uid = 0;               /* Until we have done a logon, no uid ... */ 
-  con -> gid = getgid();
+    for (i = 0; i < strlen(server); i++)
+	called[i] = toupper(server[i]);
 
-  /* Now connect to the remote end, but first upper case the name of the
-     service we are going to call, sine some servers want it in uppercase */
+    called[strlen(server)] = 0;	/* Make it a string */
 
-  for (i=0; i < strlen(server); i++)
-    called[i] = toupper(server[i]);
-		       
-  called[strlen(server)] = 0;    /* Make it a string */
+    for (i = 0; i < strlen(con->myname); i++)
+	calling[i] = toupper(con->myname[i]);
 
-  for (i=0; i < strlen(con -> myname); i++)
-    calling[i] = toupper(con -> myname[i]);
-		       
-  calling[strlen(con -> myname)] = 0;    /* Make it a string */
+    calling[strlen(con->myname)] = 0;	/* Make it a string */
 
-  if (strcmp(con -> address, "") == 0)
-    address = con -> desthost;
-  else
-    address = con -> address;
+    if (strcmp(con->address, "") == 0)
+	address = con->desthost;
+    else
+	address = con->address;
 
-  con -> Trans_Connect = RFCNB_Call(called,
-				    calling,
-				    address, /* Protocol specific */
-				    con -> port);
+    con->Trans_Connect = RFCNB_Call(called,
+	calling,
+	address,		/* Protocol specific */
+	con->port);
 
-  /* Did we get one? */
+    /* Did we get one? */
 
-  if (con -> Trans_Connect == NULL) {
+    if (con->Trans_Connect == NULL) {
 
-    if (Con_Handle == NULL) {
-      Con_Handle = NULL;
-      free(con);
-    }
-    SMBlib_errno = -SMBlibE_CallFailed;
-    return NULL;
-
-  }
+	if (Con_Handle == NULL) {
+	    Con_Handle = NULL;
+	    free(con);
+	}
+	SMBlib_errno = -SMBlibE_CallFailed;
+	return NULL;
 
-  return(con);
+    }
+    return (con);
 
 }
 
@@ -203,367 +200,356 @@
 /* If Con_Handle == NULL then create a handle and connect, otherwise  */
 /* use the handle passed                                              */
 
-char *SMB_Prots_Restrict[] = {"PC NETWORK PROGRAM 1.0",
-			      NULL};
-
+char *SMB_Prots_Restrict[] =
+{"PC NETWORK PROGRAM 1.0",
+    NULL};
 
-SMB_Handle_Type SMB_Connect(SMB_Handle_Type Con_Handle,
-			    SMB_Tree_Handle *tree,
-			    char *service, 
-			    char *username, 
-			    char *password)
 
-{ SMB_Handle_Type con;
-  char *host, *address;
-  char temp[80], called[80], calling[80];
-  int i;
+SMB_Handle_Type 
+SMB_Connect(SMB_Handle_Type Con_Handle,
+    SMB_Tree_Handle * tree,
+    char *service,
+    char *username,
+    char *password)
+{
+    SMB_Handle_Type con;
+    char *host, *address;
+    char temp[80], called[80], calling[80];
+    int i;
 
-  /* Get a connection structure if one does not exist */
+    /* Get a connection structure if one does not exist */
 
-  con = Con_Handle;
+    con = Con_Handle;
 
-  if (Con_Handle == NULL) {
+    if (Con_Handle == NULL) {
 
-    if ((con = (struct SMB_Connect_Def *)malloc(sizeof(struct SMB_Connect_Def))) == NULL) {
+	if ((con = (struct SMB_Connect_Def *) malloc(sizeof(struct SMB_Connect_Def))) == NULL) {
 
-      SMBlib_errno = SMBlibE_NoSpace;
-      return NULL;
+	    SMBlib_errno = SMBlibE_NoSpace;
+	    return NULL;
+	}
     }
+    /* Init some things ... */
 
-  }
-
-  /* Init some things ... */
-
-  strcpy(con -> service, service);
-  strcpy(con -> username, username);
-  strcpy(con -> password, password);
-  strcpy(con -> sock_options, "");
-  strcpy(con -> address, "");
-  strcpy(con -> PDomain, SMBLIB_DEFAULT_DOMAIN);
-  strcpy(con -> OSName, SMBLIB_DEFAULT_OSNAME);
-  strcpy(con -> LMType, SMBLIB_DEFAULT_LMTYPE);
-  con -> first_tree = con -> last_tree = NULL;
+    strcpy(con->service, service);
+    strcpy(con->username, username);
+    strcpy(con->password, password);
+    strcpy(con->sock_options, "");
+    strcpy(con->address, "");
+    strcpy(con->PDomain, SMBLIB_DEFAULT_DOMAIN);
+    strcpy(con->OSName, SMBLIB_DEFAULT_OSNAME);
+    strcpy(con->LMType, SMBLIB_DEFAULT_LMTYPE);
+    con->first_tree = con->last_tree = NULL;
 
-  SMB_Get_My_Name(con -> myname, sizeof(con -> myname));
+    SMB_Get_My_Name(con->myname, sizeof(con->myname));
 
-  con -> port = 0;                    /* No port selected */
+    con->port = 0;		/* No port selected */
 
-  /* Get some things we need for the SMB Header */
+    /* Get some things we need for the SMB Header */
 
-  con -> pid = getpid();
-  con -> mid = con -> pid;      /* This will do for now ... */
-  con -> uid = 0;               /* Until we have done a logon, no uid */
-  con -> gid = getgid();
+    con->pid = getpid();
+    con->mid = con->pid;	/* This will do for now ... */
+    con->uid = 0;		/* Until we have done a logon, no uid */
+    con->gid = getgid();
 
-  /* Now figure out the host portion of the service */
+    /* Now figure out the host portion of the service */
 
-  strcpy(temp, service);
-  /* AI - Added (char *) to stop compiler warnings */
-  host = (char *) strtok(temp, "/\\");     /* Separate host name portion */
-  strcpy(con -> desthost, host);
+    strcpy(temp, service);
+    /* AI - Added (char *) to stop compiler warnings */
+    host = (char *) strtok(temp, "/\\");	/* Separate host name portion */
+    strcpy(con->desthost, host);
 
-  /* Now connect to the remote end, but first upper case the name of the
-     service we are going to call, sine some servers want it in uppercase */
+    /* Now connect to the remote end, but first upper case the name of the
+     * service we are going to call, sine some servers want it in uppercase */
 
-  for (i=0; i < strlen(host); i++)
-    called[i] = toupper(host[i]);
-		       
-  called[strlen(host)] = 0;    /* Make it a string */
+    for (i = 0; i < strlen(host); i++)
+	called[i] = toupper(host[i]);
 
-  for (i=0; i < strlen(con -> myname); i++)
-    calling[i] = toupper(con -> myname[i]);
-		       
-  calling[strlen(con -> myname)] = 0;    /* Make it a string */
+    called[strlen(host)] = 0;	/* Make it a string */
 
-  if (strcmp(con -> address, "") == 0)
-    address = con -> desthost;
-  else
-    address = con -> address;
+    for (i = 0; i < strlen(con->myname); i++)
+	calling[i] = toupper(con->myname[i]);
 
-  con -> Trans_Connect = RFCNB_Call(called,
-				    calling,
-				    address, /* Protocol specific */
-				    con -> port);
+    calling[strlen(con->myname)] = 0;	/* Make it a string */
 
-  /* Did we get one? */
+    if (strcmp(con->address, "") == 0)
+	address = con->desthost;
+    else
+	address = con->address;
 
-  if (con -> Trans_Connect == NULL) {
-
-    if (Con_Handle == NULL) {
-      free(con);
-      Con_Handle = NULL;
-    }
-    SMBlib_errno = -SMBlibE_CallFailed;
-    return NULL;
+    con->Trans_Connect = RFCNB_Call(called,
+	calling,
+	address,		/* Protocol specific */
+	con->port);
 
-  }
+    /* Did we get one? */
 
-  /* Now, negotiate the protocol */
+    if (con->Trans_Connect == NULL) {
 
-  if (SMB_Negotiate(con, SMB_Prots_Restrict) < 0) {
+	if (Con_Handle == NULL) {
+	    free(con);
+	    Con_Handle = NULL;
+	}
+	SMBlib_errno = -SMBlibE_CallFailed;
+	return NULL;
 
-    /* Hmmm what should we do here ... We have a connection, but could not
-       negotiate ...                                                      */
+    }
+    /* Now, negotiate the protocol */
 
-    return NULL;
+    if (SMB_Negotiate(con, SMB_Prots_Restrict) < 0) {
 
-  }
+	/* Hmmm what should we do here ... We have a connection, but could not
+	 * negotiate ...                                                      */
 
-  /* Now connect to the service ... */
+	return NULL;
 
-  if ((*tree = SMB_TreeConnect(con, NULL, service, password, "A:")) == NULL) {
+    }
+    /* Now connect to the service ... */
 
-    return NULL;
+    if ((*tree = SMB_TreeConnect(con, NULL, service, password, "A:")) == NULL) {
 
-  }
+	return NULL;
 
-  return(con);
+    }
+    return (con);
 
 }
 
 /* Logon to the server. That is, do a session setup if we can. We do not do */
 /* Unicode yet!                                                             */
 
-int SMB_Logon_Server(SMB_Handle_Type Con_Handle, char *UserName, 
-		     char *PassWord)
-
-{ struct RFCNB_Pkt *pkt;
-  int param_len, pkt_len, pass_len;
-  char *p, pword[128];
-
-  /* First we need a packet etc ... but we need to know what protocol has  */
-  /* been negotiated to figure out if we can do it and what SMB format to  */
-  /* use ...                                                               */
-
-  if (Con_Handle -> protocol < SMB_P_LanMan1) {
+int 
+SMB_Logon_Server(SMB_Handle_Type Con_Handle, char *UserName,
+    char *PassWord)
+{
+    struct RFCNB_Pkt *pkt;
+    int param_len, pkt_len, pass_len;
+    char *p, pword[128];
+
+    /* First we need a packet etc ... but we need to know what protocol has  */
+    /* been negotiated to figure out if we can do it and what SMB format to  */
+    /* use ...                                                               */
 
-    SMBlib_errno = SMBlibE_ProtLow;
-    return(SMBlibE_BAD);
+    if (Con_Handle->protocol < SMB_P_LanMan1) {
 
-  }
+	SMBlib_errno = SMBlibE_ProtLow;
+	return (SMBlibE_BAD);
 
-  strcpy(pword, PassWord);
+    }
+    strcpy(pword, PassWord);
 #ifdef PAM_SMB_ENC_PASS
-  if (Con_Handle -> encrypt_passwords)
-  {
-    pass_len=24;
-    SMBencrypt((uchar *) PassWord, (uchar *)Con_Handle -> Encrypt_Key,(uchar *)pword); 
-  } 
-  else 
+    if (Con_Handle->encrypt_passwords) {
+	pass_len = 24;
+	SMBencrypt((uchar *) PassWord, (uchar *) Con_Handle->Encrypt_Key, (uchar *) pword);
+    } else
 #endif
-	pass_len=strlen(pword);
-
+	pass_len = strlen(pword);
 
-  /* Now build the correct structure */
 
-  if (Con_Handle -> protocol < SMB_P_NT1) {
+    /* Now build the correct structure */
 
-    param_len = strlen(UserName) + 1 + pass_len + 1 + 
-                strlen(Con_Handle -> PDomain) + 1 + 
-	        strlen(Con_Handle -> OSName) + 1;
+    if (Con_Handle->protocol < SMB_P_NT1) {
 
-    pkt_len = SMB_ssetpLM_len + param_len;
+	param_len = strlen(UserName) + 1 + pass_len + 1 +
+	    strlen(Con_Handle->PDomain) + 1 +
+	    strlen(Con_Handle->OSName) + 1;
 
-    pkt = (struct RFCNB_Pkt *)RFCNB_Alloc_Pkt(pkt_len);
+	pkt_len = SMB_ssetpLM_len + param_len;
 
-    if (pkt == NULL) {
+	pkt = (struct RFCNB_Pkt *) RFCNB_Alloc_Pkt(pkt_len);
 
-      SMBlib_errno = SMBlibE_NoSpace;
-      return(SMBlibE_BAD); /* Should handle the error */
+	if (pkt == NULL) {
 
-    }
-
-    bzero(SMB_Hdr(pkt), SMB_ssetpLM_len);
-    SIVAL(SMB_Hdr(pkt), SMB_hdr_idf_offset, SMB_DEF_IDF);  /* Plunk in IDF */
-    *(SMB_Hdr(pkt) + SMB_hdr_com_offset) = SMBsesssetupX;
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_pid_offset, Con_Handle -> pid);
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_tid_offset, 0);
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_mid_offset, Con_Handle -> mid);
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_uid_offset, Con_Handle -> uid);
-    *(SMB_Hdr(pkt) + SMB_hdr_wct_offset) = 10;
-    *(SMB_Hdr(pkt) + SMB_hdr_axc_offset) = 0xFF;    /* No extra command */
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_axo_offset, 0);
+	    SMBlib_errno = SMBlibE_NoSpace;
+	    return (SMBlibE_BAD);	/* Should handle the error */
 
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_mbs_offset, SMBLIB_MAX_XMIT);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_mmc_offset, 2);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_vcn_offset, Con_Handle -> pid);
-    SIVAL(SMB_Hdr(pkt), SMB_ssetpLM_snk_offset, 0);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_pwl_offset, pass_len + 1);
-    SIVAL(SMB_Hdr(pkt), SMB_ssetpLM_res_offset, 0);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_bcc_offset, param_len);
+	}
+	bzero(SMB_Hdr(pkt), SMB_ssetpLM_len);
+	SIVAL(SMB_Hdr(pkt), SMB_hdr_idf_offset, SMB_DEF_IDF);	/* Plunk in IDF */
+	*(SMB_Hdr(pkt) + SMB_hdr_com_offset) = SMBsesssetupX;
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_pid_offset, Con_Handle->pid);
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_tid_offset, 0);
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_mid_offset, Con_Handle->mid);
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_uid_offset, Con_Handle->uid);
+	*(SMB_Hdr(pkt) + SMB_hdr_wct_offset) = 10;
+	*(SMB_Hdr(pkt) + SMB_hdr_axc_offset) = 0xFF;	/* No extra command */
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_axo_offset, 0);
 
-    /* Now copy the param strings in with the right stuff */
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_mbs_offset, SMBLIB_MAX_XMIT);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_mmc_offset, 2);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_vcn_offset, Con_Handle->pid);
+	SIVAL(SMB_Hdr(pkt), SMB_ssetpLM_snk_offset, 0);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_pwl_offset, pass_len + 1);
+	SIVAL(SMB_Hdr(pkt), SMB_ssetpLM_res_offset, 0);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_bcc_offset, param_len);
 
-    p = (char *)(SMB_Hdr(pkt) + SMB_ssetpLM_buf_offset);
+	/* Now copy the param strings in with the right stuff */
 
-    /* Copy  in password, then the rest. Password has a null at end */
+	p = (char *) (SMB_Hdr(pkt) + SMB_ssetpLM_buf_offset);
 
-    memcpy(p, pword, pass_len);
+	/* Copy  in password, then the rest. Password has a null at end */
 
-    p = p + pass_len + 1;
+	memcpy(p, pword, pass_len);
 
-    strcpy(p, UserName);
-    p = p + strlen(UserName);
-    *p = 0;
+	p = p + pass_len + 1;
 
-    p = p + 1;
+	strcpy(p, UserName);
+	p = p + strlen(UserName);
+	*p = 0;
 
-    strcpy(p, Con_Handle -> PDomain);
-    p = p + strlen(Con_Handle -> PDomain);
-    *p = 0;
-    p = p + 1;
+	p = p + 1;
 
-    strcpy(p, Con_Handle -> OSName);
-    p = p + strlen(Con_Handle -> OSName);
-    *p = 0;
+	strcpy(p, Con_Handle->PDomain);
+	p = p + strlen(Con_Handle->PDomain);
+	*p = 0;
+	p = p + 1;
 
-  }
-  else {
+	strcpy(p, Con_Handle->OSName);
+	p = p + strlen(Con_Handle->OSName);
+	*p = 0;
 
-    /* We don't admit to UNICODE support ... */
+    } else {
 
-    param_len = strlen(UserName) + 1 + pass_len + 
-                strlen(Con_Handle -> PDomain) + 1 + 
-	        strlen(Con_Handle -> OSName) + 1 +
-		strlen(Con_Handle -> LMType) + 1;
+	/* We don't admit to UNICODE support ... */
 
-    pkt_len = SMB_ssetpNTLM_len + param_len;
+	param_len = strlen(UserName) + 1 + pass_len +
+	    strlen(Con_Handle->PDomain) + 1 +
+	    strlen(Con_Handle->OSName) + 1 +
+	    strlen(Con_Handle->LMType) + 1;
 
-    pkt = (struct RFCNB_Pkt *)RFCNB_Alloc_Pkt(pkt_len);
+	pkt_len = SMB_ssetpNTLM_len + param_len;
 
-    if (pkt == NULL) {
+	pkt = (struct RFCNB_Pkt *) RFCNB_Alloc_Pkt(pkt_len);
 
-      SMBlib_errno = SMBlibE_NoSpace;
-      return(-1); /* Should handle the error */
+	if (pkt == NULL) {
 
-    }
+	    SMBlib_errno = SMBlibE_NoSpace;
+	    return (-1);	/* Should handle the error */
 
-    bzero(SMB_Hdr(pkt), SMB_ssetpNTLM_len);
-    SIVAL(SMB_Hdr(pkt), SMB_hdr_idf_offset, SMB_DEF_IDF);  /* Plunk in IDF */
-    *(SMB_Hdr(pkt) + SMB_hdr_com_offset) = SMBsesssetupX;
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_pid_offset, Con_Handle -> pid);
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_tid_offset, 0);
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_mid_offset, Con_Handle -> mid);
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_uid_offset, Con_Handle -> uid);
-    *(SMB_Hdr(pkt) + SMB_hdr_wct_offset) = 13;
-    *(SMB_Hdr(pkt) + SMB_hdr_axc_offset) = 0xFF;    /* No extra command */
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_axo_offset, 0);
+	}
+	bzero(SMB_Hdr(pkt), SMB_ssetpNTLM_len);
+	SIVAL(SMB_Hdr(pkt), SMB_hdr_idf_offset, SMB_DEF_IDF);	/* Plunk in IDF */
+	*(SMB_Hdr(pkt) + SMB_hdr_com_offset) = SMBsesssetupX;
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_pid_offset, Con_Handle->pid);
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_tid_offset, 0);
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_mid_offset, Con_Handle->mid);
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_uid_offset, Con_Handle->uid);
+	*(SMB_Hdr(pkt) + SMB_hdr_wct_offset) = 13;
+	*(SMB_Hdr(pkt) + SMB_hdr_axc_offset) = 0xFF;	/* No extra command */
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_axo_offset, 0);
 
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_mbs_offset, SMBLIB_MAX_XMIT);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_mmc_offset, 0);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_vcn_offset, 0);
-    SIVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_snk_offset, 0);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_cipl_offset, pass_len);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_cspl_offset, 0);
-    SIVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_res_offset, 0);
-    SIVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_cap_offset, 0);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_bcc_offset, param_len);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_mbs_offset, SMBLIB_MAX_XMIT);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_mmc_offset, 0);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_vcn_offset, 0);
+	SIVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_snk_offset, 0);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_cipl_offset, pass_len);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_cspl_offset, 0);
+	SIVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_res_offset, 0);
+	SIVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_cap_offset, 0);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_bcc_offset, param_len);
 
-    /* Now copy the param strings in with the right stuff */
+	/* Now copy the param strings in with the right stuff */
 
-    p = (char *)(SMB_Hdr(pkt) + SMB_ssetpNTLM_buf_offset);
+	p = (char *) (SMB_Hdr(pkt) + SMB_ssetpNTLM_buf_offset);
 
-    /* Copy  in password, then the rest. Password has no null at end */
+	/* Copy  in password, then the rest. Password has no null at end */
 
-    memcpy(p, pword, pass_len);
+	memcpy(p, pword, pass_len);
 
-    p = p + pass_len;
+	p = p + pass_len;
 
-    strcpy(p, UserName);
-    p = p + strlen(UserName);
-    *p = 0;
+	strcpy(p, UserName);
+	p = p + strlen(UserName);
+	*p = 0;
 
-    p = p + 1;
+	p = p + 1;
 
-    strcpy(p, Con_Handle -> PDomain);
-    p = p + strlen(Con_Handle -> PDomain);
-  *p = 0;
-    p = p + 1;
+	strcpy(p, Con_Handle->PDomain);
+	p = p + strlen(Con_Handle->PDomain);
+	*p = 0;
+	p = p + 1;
 
-    strcpy(p, Con_Handle -> OSName);
-    p = p + strlen(Con_Handle -> OSName);
-    *p = 0;
-    p = p + 1;
+	strcpy(p, Con_Handle->OSName);
+	p = p + strlen(Con_Handle->OSName);
+	*p = 0;
+	p = p + 1;
 
-    strcpy(p, Con_Handle -> LMType);
-    p = p + strlen(Con_Handle -> LMType);
-    *p = 0;
+	strcpy(p, Con_Handle->LMType);
+	p = p + strlen(Con_Handle->LMType);
+	*p = 0;
 
-  }
+    }
 
-  /* Now send it and get a response */
+    /* Now send it and get a response */
 
-  if (RFCNB_Send(Con_Handle -> Trans_Connect, pkt, pkt_len) < 0){
+    if (RFCNB_Send(Con_Handle->Trans_Connect, pkt, pkt_len) < 0) {
 
 #ifdef DEBUG
-    fprintf(stderr, "Error sending SessSetupX request\n");
+	fprintf(stderr, "Error sending SessSetupX request\n");
 #endif
 
-    RFCNB_Free_Pkt(pkt);
-    SMBlib_errno = SMBlibE_SendFailed;
-    return(SMBlibE_BAD);
-
-  }
+	RFCNB_Free_Pkt(pkt);
+	SMBlib_errno = SMBlibE_SendFailed;
+	return (SMBlibE_BAD);
 
-  /* Now get the response ... */
+    }
+    /* Now get the response ... */
 
-  if (RFCNB_Recv(Con_Handle -> Trans_Connect, pkt, pkt_len) < 0) {
+    if (RFCNB_Recv(Con_Handle->Trans_Connect, pkt, pkt_len) < 0) {
 
 #ifdef DEBUG
-    fprintf(stderr, "Error receiving response to SessSetupAndX\n");
+	fprintf(stderr, "Error receiving response to SessSetupAndX\n");
 #endif
 
-    RFCNB_Free_Pkt(pkt);
-    SMBlib_errno = SMBlibE_RecvFailed;
-    return(SMBlibE_BAD);
-
-  }
+	RFCNB_Free_Pkt(pkt);
+	SMBlib_errno = SMBlibE_RecvFailed;
+	return (SMBlibE_BAD);
 
-  /* Check out the response type ... */
+    }
+    /* Check out the response type ... */
 
-  if (CVAL(SMB_Hdr(pkt), SMB_hdr_rcls_offset) != SMBC_SUCCESS) {  /* Process error */
+    if (CVAL(SMB_Hdr(pkt), SMB_hdr_rcls_offset) != SMBC_SUCCESS) {	/* Process error */
 
 #ifdef DEBUG
-    fprintf(stderr, "SMB_SessSetupAndX failed with errorclass = %i, Error Code = %i\n",
+	fprintf(stderr, "SMB_SessSetupAndX failed with errorclass = %i, Error Code = %i\n",
 	    CVAL(SMB_Hdr(pkt), SMB_hdr_rcls_offset),
 	    SVAL(SMB_Hdr(pkt), SMB_hdr_err_offset));
 #endif
 
-    SMBlib_SMB_Error = IVAL(SMB_Hdr(pkt), SMB_hdr_rcls_offset);
-    RFCNB_Free_Pkt(pkt);
-    SMBlib_errno = SMBlibE_Remote;
-    return(SMBlibE_BAD);
-
-  }
+	SMBlib_SMB_Error = IVAL(SMB_Hdr(pkt), SMB_hdr_rcls_offset);
+	RFCNB_Free_Pkt(pkt);
+	SMBlib_errno = SMBlibE_Remote;
+	return (SMBlibE_BAD);
 
+    }
 #ifdef DEBUG
-  fprintf(stderr, "SessSetupAndX response. Action = %i\n", 
-          SVAL(SMB_Hdr(pkt), SMB_ssetpr_act_offset));
+    fprintf(stderr, "SessSetupAndX response. Action = %i\n",
+	SVAL(SMB_Hdr(pkt), SMB_ssetpr_act_offset));
 #endif
 
-  /* Now pick up the UID for future reference ... */
+    /* Now pick up the UID for future reference ... */
 
-  Con_Handle -> uid = SVAL(SMB_Hdr(pkt), SMB_hdr_uid_offset);
-  RFCNB_Free_Pkt(pkt);
+    Con_Handle->uid = SVAL(SMB_Hdr(pkt), SMB_hdr_uid_offset);
+    RFCNB_Free_Pkt(pkt);
 
-  return(0);
+    return (0);
 
 }
 
 
 /* Disconnect from the server, and disconnect all tree connects */
 
-int SMB_Discon(SMB_Handle_Type Con_Handle, BOOL KeepHandle)
-
+int 
+SMB_Discon(SMB_Handle_Type Con_Handle, BOOL KeepHandle)
 {
 
-  /* We just disconnect the connection for now ... */
+    /* We just disconnect the connection for now ... */
 
-  RFCNB_Hangup(Con_Handle -> Trans_Connect);
+    RFCNB_Hangup(Con_Handle->Trans_Connect);
 
-  if (!KeepHandle)
-    free(Con_Handle);
+    if (!KeepHandle)
+	free(Con_Handle);
 
-  return(0);
+    return (0);
 
 }
Index: squid/auth_modules/MSNT/smblib.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/smblib.h,v
retrieving revision 1.1.1.1.10.1
retrieving revision 1.1.1.1.10.1.2.1
diff -u -r1.1.1.1.10.1 -r1.1.1.1.10.1.2.1
--- squid/auth_modules/MSNT/smblib.h	12 Jul 2000 22:46:39 -0000	1.1.1.1.10.1
+++ squid/auth_modules/MSNT/smblib.h	7 Jan 2001 09:48:27 -0000	1.1.1.1.10.1.2.1
@@ -1,27 +1,27 @@
 /* UNIX SMBlib NetBIOS implementation
-
-   Version 1.0
-   SMBlib Defines
-
-   Copyright (C) Richard Sharpe 1996
-
-*/
+ * 
+ * Version 1.0
+ * SMBlib Defines
+ * 
+ * Copyright (C) Richard Sharpe 1996
+ * 
+ */
 
 /*
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 #include "std-defines.h"
 #include "smblib-common.h"
@@ -40,10 +40,10 @@
 /* The handle and populate it with defaults                              */
 
 SMB_Handle_Type SMB_Connect(SMB_Handle_Type Con_Handle,
-                            SMB_Tree_Handle *tree,
-                            char *service, 
-                            char *username, 
-                            char *password);
+    SMB_Tree_Handle * tree,
+    char *service,
+    char *username,
+    char *password);
 
 /* Negotiate a protocol                                                  */
 
@@ -51,8 +51,8 @@
 
 /* Connect to a tree ...                                                 */
 
-void *SMB_TreeConnect(void *con_handle, void *tree_handle, 
-		      char *path, char *password, char *dev);
+void *SMB_TreeConnect(void *con_handle, void *tree_handle,
+    char *path, char *password, char *dev);
 
 /* Disconnect a tree ...                                                 */
 
@@ -61,10 +61,10 @@
 /* Open a file                                                           */
 
 void *SMB_Open(void *tree_handle,
-	       void *file_handle,
-	       char *file_name,
-	       unsigned short mode,
-	       unsigned short search); 
+    void *file_handle,
+    char *file_name,
+    unsigned short mode,
+    unsigned short search);
 
 /* Close a file                                                          */
 
@@ -76,9 +76,9 @@
 int SMB_Discon(SMB_Handle_Type Con_Handle, BOOL KeepHandle);
 
 void *SMB_Create(void *Tree_Handle,
-	       void *File_Handle, 
-	       char *file_name, 
-  	       short search);
+    void *File_Handle,
+    char *file_name,
+    short search);
 
 int SMB_Delete(void *tree, char *file_name, short search);
 
@@ -95,4 +95,4 @@
 int SMB_Get_Error_Msg(int msg, char *msgbuf, int len);
 
 void *SMB_Logon_And_TCon(void *con, void *tree, char *user, char *pass,
-			 char *service, char *st);
+    char *service, char *st);
